\documentclass{article}

% Spanish
\usepackage[english]{babel}

% Math
\usepackage{amsmath}
\usepackage{amsfonts} 

\usepackage{todonotes}

\usepackage[
citestyle=ieee
]{biblatex}
\addbibresource{referencias.bib}

\usepackage[a4paper]{geometry}

\title{State-of-the-Art Summary} \author{Emmanuel Madrigal}

\begin{document}

\maketitle

% Que novedad aporta

% Como valida la propuesta contra el estado del arte (metodologia)

% Como podria afectar esto a su investigación

\section{Rain Tracking}

According to the review of papers and the expected size of the
raindrop in the image, this task should be fairly simple and serve as
an input to correlate their shape, velocity and other characteristics
with the actual dispersal of the Coffee Rust fungus.

\subsection{High-Speed Image Velocimetry System for Rainfall
  Measurement~\cite{Chen2018}}

In this paper, a new image-based disdrometer is developed to survey
the movement of free falling raindrops. The proposed high-speed image
velocimetry (HSIV) system comprises a high-speed camera mounted on a lens
with long depth of field, a backlight source using an array of blue
LEDs, and a computation/control unit for image acquisition and
analysis. Further image processing algorithms are produced for
raindrop detection and raindrop tracking.

To validate the raindrop tracking algorithm, another experiment is
conducted to compare the tracking results with the frame-by-frame
visual observation from 2880 consecutive frames within 5 min.

Experimental results suggest that the proposed HSIV system facilitates
the measurement of the precipitation properties, fall velocity,
equivolume diameter, raindrop concentration, and rainfall rate, to
real-time monitoring of the rainfall with stable and reliable
analysis.

On of the most useful results of this papers is that it allows for the
measurement of the rainfall characteristics. It also displays an
experimental array using in which they explain their light source and
position of other equipment.

\subsection{High-Speed Optical Disdrometer for Rainfall Microphysical
  Observations~\cite{Testik2016}}

A high-speed optical disdrometer (HOD) that was developed for
measuring rainfall microphysical quantities, including raindrop shape,
size distribution, and fall velocity/acceleration.

The main components of the HOD are a high-speed video camera, a
light-emitting diode (LED) light, and a sensing unit to detect
raindrops passing through the camera view frame. The high-speed video
camera is directed at the LED light to capture the silhouettes of the
backlit drops when triggered by a raindrop that is detected within a
specified focal depth by the sensing unit. The use of a sensing unit
enables the confinement of a measurement volume around the camera
focal plane.

This innovative operation principle ensures the capture of sharp
images of raindrop silhouettes, which are then digitally processed to
provide accurate information on various raindrop characteristics. The
measurement capabilities of the HOD were evaluated through both
laboratory and field tests. In the laboratory tests, high-precision
spherical lenses with known diameters and water drops of different
sizes generated for a known volume of water were used. In the field
tests, the HOD was evaluated against a reference rain gauge in a
number of rain events.

This paper display an experimental setup that allows for the capture
of raindrops at high-speed. However this focuses more on backlit
scenarios which might affect the detection on the spores explained
further down this document.

\subsection{Rain Drop Measurement Techniques: A Review~\cite{Kathiravelu2016}}

This review explores the raindrop measurement techniques
available, and summarizes and classifies the techniques according to
the method or principle involved.

The requirements of a robust raindrop measurement technique are
suggested, and these are reviewed against existing rain drop
measurement techniques to provide a comparative guide to the use of
the range of techniques available for any research study.

This review revealed that while advances in technology have allowed
many of the deficiencies of early techniques to be eliminated,
challenges remain in relation to the precision of the measurement of
the size, shape, and velocity of rain drops.

Although some of the techniques referenced in this paper aren't
relevant for the setup to be worked on this papers provides a
reference for comparison among the different techniques to be used,
and the measurements to be made.

\subsection{Removal of rain from videos: a review~\cite{Tripathi2014}}

In this paper, the algorithms for the detection and removal of rain
from videos have been reviewed. Detection and removal of rain requires
the discrimination of rain and non-rain pixels. Accuracy of the
algorithm depends upon this discrimination. Here merits and demerits
of the algorithms are discussed, which motivate the further
research.

The removal of rain in videos is normally divided in two steps,
detection of the rain and extrapolation of the actual image according
the pixels and the warped pixels behind the raindrop. Is this first
step that is more relevant since the technique used here in a
frame-by-frame discrimination.

\subsection{Removal of rain in video based on motion and shape
	characteristics of raindrops~\cite{Xu2014}}

Firstly, raindrops are considered as the motion component and
extracted by FastICA algorithm. Secondly, raindrops are identified
based on its properties of area, direction and width. Finally, a
two-step removal method is proposed to replace pixels covered by rain
with estimated background pixels. Experimental results show that the
algorithm can effectively remove the raindrops in various
videos. Compared with traditional rain removal methods, it does not
require any parameters about rain, camera and scenes, and only needs
three successive frames to recover a raindrops free video.

This paper also reviews rain removal such as in the previous one but
uses a different technique using FastICA is proposed here.

\subsection{Raindrop detection considering extremal regions and salient
  features~\cite{Vijay2018}}

Images captured from vehicle mounted cameras endure various
uncontrollable adverse conditions such as rain, dust, smudges
etc. These result in artifacts which corrupt the captured scene
globally or locally. Raindrop is a commonly observed occlusion in
images captured from behind a windshield on a rainy day.

While reconstruction is a challenging task, detection of these
artefacts is also a non-trivial task as there is no well-defined
singular model of raindrop or artifact created by it; neither there is
a fixed shape, blur and glare level.

In this work they address the detection of artefacts caused by
raindrops. They employ a structural verification approach to identify
the regions and exploit the uniformity that can be observed in the
occlusion region caused due to collection of light rays in the drop by
using maximally stable extremal regions (MSER) on the frame to get
initial estimate of the regions. False positives are discarded by
filtering the estimates based on area, orientation, eccentricity,
roundness and convexity.

From their results and observation it can be concluded that raindrops
indeed form extremal regions, however, detection accuracy using MSER
is highly susceptible to false positives. Accuracy can be greatly
improved using the proposed techniques on the regions. A
precision-recall analysis is performed to assess the performance of
the method.

The technique used here requires a more particular experimental setup
since the form in which the light rays are expected to be received is
particular to the used setup, however the experimental setup to be
implemented can be replicated in order to enhance how the raindrops
are measured.

\subsection{Enhancing the performance of a rainfall measurement system
	using artificial neural networks based object tracking
        algorithms~\cite{Chen2019}}

With the recent development of optical sensing and digital image
processing techniques, high-speed cameras have been applied to measure
the microphysical properties of raindrops. However, the performance of
such systems are significantly affected by object tracking
algorithms.

In order to improve the measurement accuracy of rainfall rate and
accumulated rainfall, a novel object tracking algorithm based on
artificial neural networks (ANN) is proposed in this paper. The ANN
model takes the features of each raindrop in the two successive images
as inputs including the center coordinates, area, canting angle, the
lengths of long axis and minor axis of the equivalent ellipse. The
output of the ANN model is the matched probabilities of each pair of
raindrops between before and after images.

Experimental data were collected during a real rainfall
event. Performance comparisons between the traditional and ANN based
object tracking algorithms are conducted based on the experimental
data. Experimental results suggest the successful matching rate is
significantly increased from 87.20{\%} to 95.60{\%} due to the usage
of the ANN based algorithm. Hence, the improved disdrometer system is
capable of producing more accurate and robust measurements of rainfall
status.

This is the only paper in this rain-tracking section which uses deep
learning techniques, regularly this means that these techniques
provide a higher degree of accuracy but requires a more unstable
training stage. However provided that the setup explained here can be
replicated it will provide a higher accuracy measurement of the
raindrop tracking.

\subsection{Automatic Precipitation Measurement Based on Raindrop
  Imaging and Artificial Intelligence~\cite{Hsieh2019}}

In this paper the authors propose a method that automatically detects
and removes adherent raindrops.

The idea is to use long range trajectories to discover the motion and
appearance features of raindrops locally along the trajectories. These
motion and appearance features are obtained through the analysis of
the trajectory behavior when encountering raindrops. These features
are then transformed into a labeling problem, which the cost function
can be optimized efficiently. Having detected raindrops, the removal
is achieved by utilizing patches indicated, enabling the motion
consistency to be preserved.

The trajectory based video completion method not only removes the
raindrops but also complete the motion field, which benefits motion
estimation algorithms to possibly work in rainy scenes. Experimental
results on real videos show the effectiveness of the proposed method.

This paper also uses machine learning techniques in order to create a
motion field based on the general rainfall, which can be reduced to
detected single raindrops. This paper is can later be used to
distinguish between the motion field created given by the rainfall and
the motion field of the spores in the air.

\subsection{Tracking and modeling raindrops in video sequences for
	assessing precipitation~\cite{Chen2016}}

This system mainly composed of three components: an optical unit with
a light source; an image acquisition unit with a camera and a
blackboard to grab the images; the last part is a data processing unit
for estimating the collected data. To test the system, the authors
have used glass balls and a liquid dropper to generate free-fall drops
in the experiment. Subsequently, the high-speed camera captured images
of the falling drops in 90 fps. Especially, the exposure time was set
at 2000 ms, which resulted in the falling drops with small blurring in
the assessment.

They concluded that the proposed image-based disdrometer system can
provide an efficient approach for the precipitation measurement by
analyzing raindrop features. Moreover, this apparatus have measured
micro-physical properties for quantifying the rainfall status as it
only requires basic maintenance for long-lasting observation in
meteorology especially in large scale areas and distributed scopes.

This paper besides exploring a technique for detecting the rainfall
also expose how to simulate this rainfall which allows for a more
limited flow where only a few or even a single raindrop is tested at
the time which would allow for a cleaner study of the flow dispersal.

\section{Deep optical flow}

Due to the small size of the Coffee Rust spores ($25\mu m$)
visualizing the individual spores might not be possible. But since
several thousands of these are released at the same time this would
more likely create a "cloud" which can be followed and measured to
diagnose the amount of the spore that was released after one given
event.

\subsection{High-resolution velocimetry from tracer particle fields
  using a wavelet-based optical flow method~\cite{Schmidt2019}}

A wavelet-based optical flow method for high-resolution velocimetry
based on tracer particle images is presented. The current optical flow
estimation method (WOF-X) is designed for improvements in processing
experimental images by implementing wavelet transforms with the
lifting method and symmetric boundary conditions. This approach leads
to speed and accuracy improvements over the existing wavelet-based
methods.

The current method also exploits the properties of fluid flows and
uses the known behavior of turbulent energy spectra to
semi-automatically tune a regularization parameter that has been
primarily determined empirically in the previous optical flow
algorithms. As an initial step in evaluating the WOF-X method,
synthetic particle images from a 2D DNS of isotropic turbulence are
processed and the results are compared to a typical correlation-based
PIV algorithm and previous optical flow methods.

The WOF-X method produces a dense velocity estimation, resulting in an
order-of-magnitude increase in velocity vector resolution compared to
the traditional correlation-based PIV processing. Results also show an
improvement in velocity estimation by more than a factor of two. The
increases in resolution and accuracy of the velocity field lead to
significant improvements in the calculation of velocity
gradient-dependent properties such as vorticity.

In addition to the DNS results, the WOF-X method is evaluated in a
series of two-dimensional vortex flow simulations to determine optimal
experimental design parameters. Recommendations for optimal conditions
for tracer particle seed density and inter-frame particle displacement
are presented. The WOF-X method produces minimal error at larger
particle displacements and lower relative error over a larger velocity
dynamic range as compared to correlation-based processing.

This method doesn't actually uses a deep learning technique but allows
for an alternative using wavelets. It also is evaluated against a
vortex flow simulation which according to the review of biology papers
related to the spore dispersal is the expected form of the spore "cloud".

\subsection{Optical Flow-Based Detection of Gas Leaks from Pipelines
  Using Multibeam Water Column Images~\cite{Xu2020}}

In this paper, the authors design two data-processing schemes to
estimate motion velocities based on the Farneback optical flow
principle according to types of WCIs, including time-angle and
depth-across track images. Moreover, by combining the estimated motion
velocities with the amplitudes of the image pixels, several decision
thresholds are used to eliminate interferences, such as the seabed,
non-gas backscatters in the water column, etc.

To verify the effectiveness of the proposed method, they simulated the
scenarios of pipeline leakage in a pool and the Songhua Lake, Jilin
Province, China, and used a HT300 PA MBES (it was developed by Harbin
Engineering University and its operating frequency is 300 kHz) to
collect acoustic data in static and dynamic conditions. The results
show that the proposed method can automatically detect underwater
leaking gases, and both data-processing schemes have similar detection
performance.

This paper shows the usage of their optical flow technique to follow
the flow of of a gas, which due to its amorphous nature is similar to
the expected spore "cloud".


\subsection{Occlusion Aware Unsupervised Learning of Optical Flow~\cite{Wang2018}}

It has been recently shown that a convolutional neural network can
learn optical flow estimation with unsupervised learning. However, the
performance of the unsupervised methods still has a relatively large
gap compared to its supervised counterpart. Occlusion and large motion
are some of the major factors that limit the current unsuper-vised
learning of optical flow methods.

In this work the authors introduce a new method which models occlusion
explicitly and a new warping way that facilitates the learning of
large motion. The method shows promising results on Flying Chairs,
MPI-Sintel and KITTI benchmark datasets. Especially on KITTI dataset
where abundant unlabeled samples exist, the unsupervised method
outperforms its counterpart trained with supervised learning.

Occlusion will be one the main challenges since coffee trees have a
large number of leaves which will block the view from one another. The
technique proposed in this paper highlights this challenge and
provides for a methods to face this issue. It also uses a unsupervised
methods which means that the time-consuming and often expensive
labeling stage is omitted.


\subsection{LiteFlowNet: A Lightweight Convolutional Neural Network for
  Optical Flow Estimation~\cite{Hui2018}}

FlowNet2, the state-of-the-art convolutional neural network (CNN) for
optical flow estimation, requires over 160M parameters to achieve
accurate flow estimation. In this paper the authors present an
alternative network that attains performance on par with FlowNet2 on
the challenging Sin-tel final pass and KITTI benchmarks, while being
30 times smaller in the model size and 1.36 times faster in the
running speed.

This is made possible by drilling down to architectural details that
might have been missed in the current frameworks: the authors present
a more effective flow inference approach at each pyramid level through
a lightweight cascaded network. It not only improves flow estimation
accuracy through early correction, but also permits seamless
incorporation of descriptor matching in their network.

They present a novel flow regularization layer to ameliorate the issue
of outliers and vague flow boundaries by using a feature-driven local
convolution. The network owns an effective structure for pyramidal
feature extraction and embraces feature warping rather than image
warping as practiced in FlowNet2. The code and trained models are
available at \url{github.com/twhui/LiteFlowNet}.

The model presented in this paper has a much lower size in terms of
parameters than in the other papers in this same task, which allows
for a more stable and faster training phase which avoid
overfitting. One of the main advantages of this paper is that
availability of code and models for reproducibility and comparison.

\subsection{UnFlow: Unsupervised Learning of Optical Flow with a
  Bidirectional Census Loss~\cite{Meister2017}}

The authors design an unsupervised loss based on occlusion-aware
bidirectional flow estimation and the robust census transform to
circumvent the need for ground truth flow. On the KITTI benchmarks,
the unsupervised approach outperforms previous unsupervised deep
networks by a large margin, and is even more accurate than similar
supervised methods trained on synthetic datasets alone. By optionally
fine-tuning on the KITTI training data, their method achieves
competitive optical flow accuracy on the KITTI 2012 and 2015
benchmarks, thus in addition enabling generic pre-training of
supervised networks for datasets with limited amounts of ground truth.

This paper shows a second unsupervised model, even when this doesn't
has the highest accuracy for the dataset it still allows for an second
comparative option. This method can also be used as an aid for
labeling in a following supervised stage.

\subsection{GeoNet: Unsupervised Learning of Dense Depth, Optical Flow and
  Camera Pose~\cite{Yin2018}}

The authors propose GeoNet, a jointly unsupervised learning framework for
monocular depth, optical flow and ego-motion estimation from
videos. The three components are coupled by the nature of 3D scene
geometry, jointly learned by the framework in an end-to-end
manner. Specifically, geometric relationships are extracted over the
predictions of individual modules and then combined as an image
reconstruction loss, reasoning about static and dynamic scene parts
separately.

Furthermore, the authors propose an adaptive geometric consistency
loss to increase robustness towards outliers and non-Lambertian
regions, which resolves occlusions and texture ambiguities
effectively. Experimentation on the KITTI dataset reveals that the
scheme achieves state-of-the-art results in all of the three tasks,
performing better than previously unsupervised methods and comparably
with supervised ones.

This is yet another unsupervised method which deals with occlusion, as
in the previous ones among the ones comparing against the KITTI
dataset this is the one that hast the best performance, but further
test need to be performed among these to test their performance
against the spore "cloud".


\subsection{PWC-Net: CNNs for Optical Flow Using Pyramid, Warping, and
  Cost Volume~\cite{Sun2018}}

The authors present a compact but effective CNN model for optical
flow, called PWC-Net. PWC-Net has been designed according to simple
and well-established principles: pyramidal processing, warping, and
the use of a cost volume. Cast in a learnable feature pyramid, PWC-Net
uses the current optical flow estimate to warp the CNN features of the
second image. It then uses the warped features and features of the
first image to construct a cost volume, which is processed by a CNN to
estimate the optical flow. PWC-Net is 17 times smaller in size and
easier to train than the recent FlowNet2 model. Moreover, it
outperforms all published optical flow methods on the MPI Sintel final
pass and KITTI 2015 benchmarks, running at about 35 fps on Sintel
resolution ($1024\times436$) images. Models are available on the
authors website.

This paper uses a hybrid technique in which the first stages
highlight possible high-motion sections and the later sections perform
the actual decision. This allows for faster and smaller networks while
maintaining high generalization.

\subsection{FlowNet 2.0: Evolution of Optical Flow Estimation with Deep
  Networks~\cite{Ilg2017}}

In this paper, the authors advance the concept of end-to-end learning
of optical flow. The large improvements in quality and speed against
previous iterations of this algorithms are caused by three major
contributions: first, they focus on the training data and show that the
schedule of presenting data during training is very important. Second,
they develop a stacked architecture that includes warping of the second
image with intermediate optical flow. Third, they elaborate on small
displacements by introducing a sub-network specializing on small
motions.

FlowNet 2.0 is only marginally slower than the original FlowNet but
decreases the estimation error by more than 50{\%}. It performs on par
with state-of-the-art methods, while running at interactive frame
rates. Moreover, faster variants that allow optical flow computation
at up to 140fps with accuracy matching the original FlowNet are presented.

This is considered the state-of-the-art for deep optical flow, and any
advancement in this area should be compared against these results. The
main this advantage of this network is its size and complexity which
might make it hard to retrain for the expected images to be studied.

\section{Neural Network Design}

This section relates more to the general study of neural network
design. It is known from experience that larger and more complex
networks have higher accuracy and performance, however this is as long
as sufficiently labeled data and computational resources are
available.

Hyperparameter tuning, pruning and data augmentation are also
techniques that can be used to increase performance while keeping the
network complexity is doing.

\subsection{Effective real-time augmentation of training dataset for the neural networks learning~\cite{Gayer2019}}

In this paper the authors study the real-time augmentation - method of
increasing variability of training dataset during the learning
process. They consider the most common label-preserving deformations,
which can be useful in many practical tasks. Due to limitations of
existing augmentation tools like increase in learning time or
dependence on a specific platform, a custom real-time augmentation system was developed.

Experiments on MNIST and SVHN datasets demonstrated the effectiveness
of suggested approach - the quality of the trained models improves,
and learning time remains the same as if augmentation was not used.

Data augmentation allows for the "creation" of new data to increase
the information that can be extracted from a dataset while keeping
costs for labeling and data collection down.

\subsection{Lets keep it simple, Using simple architectures to outperform deeper and more complex architectures~\cite{Hasanpour2016}}

Major winning Convolutional Neural Networks (CNNs), such as AlexNet,
VGGNet, ResNet, GoogleNet, include tens to hundreds of millions of
parameters, which impose considerable computation and memory
overhead. This limits their practical use for training, optimization
and memory efficiency. On the contrary, light-weight architectures,
being proposed to address this issue, mainly suffer from low
accuracy. These inefficiencies mostly stem from following an ad hoc
procedure.

The authors propose a simple architecture, called SimpleNet, based
on a set of designing principles, with which they empirically show, a
well-crafted yet simple and reasonably deep architecture can perform
on par with deeper and more complex architectures. SimpleNet provides
a good tradeoff between the computation/memory efficiency and the
accuracy.

The simple 13-layer architecture outperforms most of the
deeper and complex architectures to date such as VGGNet, ResNet, and
GoogleNet on several well-known benchmarks while having 2 to 25 times
fewer number of parameters and operations. This makes it very handy
for embedded system or system with computational and memory
limitations.

They achieved state-of-the-art result on CIFAR10 outperforming several
heavier architectures, near state of the art on MNIST and competitive
results on CIFAR100 and SVHN. Models are made available at:
\url{https://github.com/Coderx7/SimpleNet}

Neural network architecture design can sometimes end up being a task
where random networks are tested to obtain the highest performing
one. This paper proposes different parameters in order to produce
these networks in a more ordered way.

\subsection{Pruning by Explaining: A Novel Criterion for Deep Neural Network Pruning~\cite{Yeom2019}}

The success of convolutional neural networks (CNNs) in various
applications is accompanied by a significant increase in computation
and parameter storage costs. Recent efforts to reduce these overheads
involve pruning and compressing the weights of various layers while at
the same time aiming to not sacrifice performance.

In this paper, the authors propose a novel criterion for CNN pruning
inspired by neural network interpretability: The most relevant
elements, i.e. weights or filters, are automatically found using their
relevance score in the sense of explainable AI (XAI). By that they for
the first time link the two disconnected lines of interpretability and
model compression research. They show in particular that the proposed
method can efficiently prune transfer-learned CNN models where
networks pre-trained on large corpora are adapted to specialized
tasks.

To this end, the method is evaluated on a broad range of computer
vision datasets. Notably, the novel criterion is not only competitive
or better compared to state-of-the-art pruning criteria when
successive retraining is performed, but clearly outperforms these
previous criteria in the common application setting where the data of
the task to be transferred to are very scarce and no retraining is
possible.

The method can iteratively compress the model while maintaining or
even improving accuracy. At the same time, it has a computational cost
in the order of gradient computation and is comparatively simple to
apply without the need for tuning hyperparameters for pruning.

\subsection{Hyper Parameters Selection for Image Classification in Convolutional Neural Networks~\cite{Nazir2018}}

The recent advances in deep neural networks are providing better than
expected results for image classification. The process involves
training models with large labelled datasets to learn the underlying
features from various image classes to support cognitive inferences on
the test data. By training on large annotated image datasets
contextual and semantic information can be automatically extracted
from the images.

An important determinant of better results is the choice of hyper
parameters which is difficult to get right. In this paper the authors
empirically investigate the effect of selected hyper parameters of a
convolutional neural network on CIFAR-10 dataset and provide results
to demonstrate their effect and importance for image classification.

\printbibliography

\end{document}

